REPLACE POINTS WITH A BLOCK

Discussion in 'AutoCAD' started by The real JD, Jan 5, 2004.

  1. The real JD

    The real JD Guest

    Does anyone have or know of a lisp routine to do this? TIA

    and Happy New Year everybody!
     
    The real JD, Jan 5, 2004
    #1
  2. The real JD

    Rudy Tovar Guest

    Depends on the block. With or without attributes?

    (entmake (list (cons 0 "INSERT")(cons 2 <block>)(cons 10 <insertion>)));etc.
    layer is 8

    Depends on the point, point or point list?

    (setq cn 0)
    (while (nth cn point_list)
    (entmake (list (cons 0 "INSERT")(cons 2 <block>)(cons 10 (nth cn
    point_list))))
    (setq cn (1+ cn))
    )

    MAPCAR? FOREACH? REPEAT?

    Take your pick....
    --

    AUTODESK
    Authorized Developer
    www.Cadentity.com
    MASi
     
    Rudy Tovar, Jan 5, 2004
    #2
  3. The real JD

    John Uhden Guest

    Happy New Year, JD.

    Might you mean Softdesk Point blocks?
    What's the game plan?
     
    John Uhden, Jan 6, 2004
    #3
  4. The real JD

    The real JD Guest

    Just points... replace with block of my choice with no attributes!
    Thanks for the feedback so far.
     
    The real JD, Jan 6, 2004
    #4
  5. The real JD

    The real JD Guest

    Thanks! Seems to do the trick!

     
    The real JD, Jan 6, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.